Subject: bug#56459: 29.0.50; Edebug disables Eldoc

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Mar 2023 17:42:07 +0200

reopen 56459
thanks

> Date: Tue, 28 Feb 2023 18:25:07 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> >> Which seems like a problem previously solved by that check.
> > Maybe.  I also sometimes see this, but just now trying Edebug on a
> > random function doesn't reproduce this.  Can you reproduce at will? if
> > so, can you show a recipe?
> 
> Sure:
> 
> 1) Visit an .rb file (with ruby-mode).
> 2) Instrument ruby-smie-rules with edebug.
> 3) Switch to .rb file again and press TAB somewhere where it would call 
> ruby-mode's indentation code.
> 4) Step through ruby-smie-rules with SPC, not too quickly.
> 
> That happens with 'emacs -Q', no extra setup needed.

You are right.  It turns out we didn't see the ElDoc messages because
in many Lisp codes stepping with Edebug leaves point in places where
ElDoc has nothing to say.  But as soon as it does, it does say, and by
doing that overwrites the evaluation results in the echo area.

So I've now reverted that change, and I'm reopening the bug.  It will
have to be fixed in some other way.